package uam.bases.mybatis.operaciones;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;

import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;

import uam.bases.mybatis.clases.Area;
import uam.bases.mybatis.conexion.EstablecerConexion;
import uam.bases.mybatis.servicios.ServiciosArea;

/**Clase responsable de las operaciones relacionadas con un Ã�rea**/

public class OperacionesArea {
	
	/**MÃ©todo para cargar la informaciÃ³n de un archivo e insertarlo en base de datos**/
	public void insertarAreas(){
		
		String cadenaLeida = "";
		FileReader fr;
		
SqlSessionFactory sessionFactory;
EstablecerConexion conexion = new EstablecerConexion();

sessionFactory = conexion.crearSesion();
SqlSession session = sessionFactory.openSession();
ServiciosArea serviciosArea = 
session.getMapper(ServiciosArea.class);

		
		
		
		try {
			fr = new FileReader("areas.txt");
			BufferedReader archivoLectura = new BufferedReader(fr);
			

			System.out.println("Insertando las Ã�reas en la Base de Datos");
			cadenaLeida = archivoLectura.readLine();
			while (cadenaLeida != null) {
				Area area = new Area();
				StringTokenizer st = new StringTokenizer(cadenaLeida, ",");
				
				area.setIdArea(Integer.parseInt(st.nextToken()));
				area.setNombreArea(st.nextToken());
				
				serviciosArea.insertar(area);
				session.commit();
				
				System.out.println(area.toString());
				
				cadenaLeida = archivoLectura.readLine();
			}
			archivoLectura.close();
			session.close();
		} catch (FileNotFoundException e) {
			System.out.println("No se pudo encontrar el archivo");
			e.printStackTrace();
		} catch (IOException e) {
			System.out.println("No se pudo leer del archivo");
			e.printStackTrace();
		}
		
	}
	
	
}
