package uam.bases.mybatis.operaciones;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.StringTokenizer;

import uam.bases.mybatis.clases.ProfesorProyectoInvestigacion;

/**Clase relacionada con las operaciones de un Profesor con un Proyecto de Investigación**/

public class OperacionesProfesorProyectoInvestigacion {
	

	public void relacionarProfesorProyectosInvestigacion(){
		
		String cadenaLeida = "";
		FileReader fr;
		
		try {
			fr = new FileReader("profesor_proyecto_investigacion.txt");
			BufferedReader archivoLectura = new BufferedReader(fr);
			

			System.out.println("Relacionando Profesores con Proyectos de Investigación en la Base de Datos");
			cadenaLeida = archivoLectura.readLine();
			while (cadenaLeida != null) {
				ProfesorProyectoInvestigacion profesorProyecto = new ProfesorProyectoInvestigacion();
				StringTokenizer st = new StringTokenizer(cadenaLeida, ",");
				
				profesorProyecto.setRol(st.nextToken());
				profesorProyecto.setProfesor_numero_economico(st.nextToken());
				profesorProyecto.setProyecto_investigacion_id_proyecto_investigacion(Integer.parseInt(st.nextToken()));
				
				System.out.println(profesorProyecto.toString());
				

				cadenaLeida = archivoLectura.readLine();
			}
			archivoLectura.close();
		} catch (FileNotFoundException e) {
			System.out.println("No se pudo encontrar el archivo");
			e.printStackTrace();
		} catch (IOException e) {
			System.out.println("No se pudo leer del archivo");
			e.printStackTrace();
		}
		
	}

}
